package com.muyu.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.controller.Student;
import com.muyu.domain.EngineType;
import com.muyu.domain.constants.Result;

import java.util.List;


/**
 * @Author：qdm
 * @Package：com.muyu.service
 * @Project：cloud-etl-engine
 * @name：TypeService
 * @Date：2024/8/23 22:35
 */
public interface TypeService extends IService<EngineType> {
    List<EngineType> list();

    Result add(EngineType type);

    Result update(EngineType type);

    Result delete(Integer id);

    List<Student> select();

    Result<Student> insert(Student student);

    Result<Student> updates(Student student);

    Result deletes(String id);
}
