package com.muyu.req;

import com.muyu.model.DataModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 引擎版本测试
 *
 * @author qdm
 * on 2024/5/14 星期二
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class EngineVersionTestReq {
    private Integer scope;
    private Long engineVersionId;
    private List<String> keys;
    private DataModel dataModel;
    private List<DataModel> dataModelList;
    private List<List<DataModel>> dataModelLists;
}
