package com.muyu.controller;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：qdm
 * @Package：com.muyu.controller
 * @Project：cloud-etl-engine
 * @name：Student
 * @Date：2024/8/29 19:53
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class Student {
    /**
     * 测试编号
     */
    private Integer id;
    /**
     * 测试名称
     */
    private String name;
    /**
     * 测试年龄
     */
    private Integer age;
    /**
     * 测试性别
     */
    private String sex;
}
